grml-debootstrap (0.77) unstable; urgency=medium

  [ Stefan Schlesinger ]
  * [4b7bcd8] Export TARGET_HOSTNAME before running post-scripts

  [ Christian Hofstaedtler ]
  * [1cfa51e] Update my email address
  * [d8960ba] Bump debhelper compat level to 10
  * [b22ae35] Forbid xsltproc to use network for building

  [ Michael Prokop ]
  * [900df89] Honor GRUB_DISABLE_LINUX_UUID=true for all Debian releases.
    Thanks to hex2a for the initial patch (see PR #96)

 -- Michael Prokop <mika@grml.org>  Tue, 24 Jan 2017 21:36:55 +0100

grml-debootstrap (0.76) unstable; urgency=medium

  * [12f4a35] Hide errors during loading of efivars module
  * [5e6671f] packer: explicitly set Bash as default shell for Vagrant
    user
  * [8609e64] packer: apply predictable network interface workaround for
    Debian/stretch and newer
  * [ff11fa2] Disable ^metadata_csum' feature when creating ext fs for
    releases <= jessie [Closes: issue2178]
  * [b12a2ae] Ignore packer/packer_cache during dpkg-source generation.
    Thanks to Guillem Jover for the hint
  * [987bf63] Switch Homepage + Vcs-Browser fields to https
  * [6a665b1] Bump Standards-Version to 3.9.8

 -- Michael Prokop <mika@grml.org>  Thu, 22 Sep 2016 14:25:51 +0200

grml-debootstrap (0.75) unstable; urgency=medium

  * [10ad469] Add EFI support via --efi <device> option. Thanks to
    Darshaka Pathirana <dpat@syn-net.org> for the pair programming session

 -- Michael Prokop <mika@grml.org>  Fri, 10 Jun 2016 11:21:01 +0200

grml-debootstrap (0.74) unstable; urgency=medium

  [ Patrick Schleizer ]
  * [c83de43] improved amd64 on i386 build attempt bailout msg

  [ Sebastian Pipping ]
  * [1ba6bfd] Use parted to create partition table (issue #90)
  * [034a2e9] Resolve now unused bootgrub.mksh (issue #90)
  * [3fec01e] Mark first partition bootable (issue #92)
  * [8a2c552] Ensure that MBR jumping to GRUB's core.img code
    (issue #92)

  [ Michael Prokop ]
  * [813cdab] Ensure that grub-pc/install_devices is pointing to the
    requested device (related to #711019)
  * [7e3c788] No longer depend on mksh + drop check for mksh
  * [71b39fa] Bump Standards-Version to 3.9.7
  * [758f563] Update copyright year information

 -- Michael Prokop <mika@grml.org>  Mon, 22 Feb 2016 22:21:29 +0100

grml-debootstrap (0.73) unstable; urgency=medium

  The "DebConf15" release

  [ Paul Menzel ]
  * [4a9077a] Use official redirector address httpredir.debian.org

  [ Michael Prokop ]
  * [395bf71] Add kmod to Depends, required for modprobe(8) for loop
    device handling
  * [1239389] Docker setup for automated builds + environment for testing

 -- Michael Prokop <mika@grml.org>  Tue, 18 Aug 2015 13:30:49 +0200

grml-debootstrap (0.72) unstable; urgency=medium

  * [1cf8447] packer: improve support for testing local grml-debootstrap
    version
  * [0592c21] Drop --force-yes option from chroot-scripts' apt-get usage
  * [3e504ef] Report CONFFILES usage in config overview

 -- Michael Prokop <mika@grml.org>  Tue, 16 Jun 2015 11:19:26 +0200

grml-debootstrap (0.71) unstable; urgency=medium

  The "monster kill ▬█████████" release

  * [3814da0] Improve check for identifying underlying block device
    (Closes: #771192)
  * [0de1bb1] Provide workaround for GRUB font path bug in jessie (Debian
    #787685)
  * [2aa17c1] Always remove /boot/grub/device.map to avoid leaking host
    data. Thanks to Patrick Schleizer <adrelanos@riseup.net> for bug
    report and feedback
  * [4a2c2d8] Don't try to re-read partition table when building VMs using
    loop devices
  * [9288199] Improve --vm and --vmfile usage instructions
  * [dd7fd0a] Do not copy `packages` file if --nopackages option is
    present
  * [bc38eda] Make it more friendly to install on non-Debian
    distributions. Thanks to Sebastian Pipping <sebastian@pipping.org> for
    feature request
  * [9f5825a] Include HTML documentation in Debian package
  * [91f2e99] Rename --scripts to --post-scripts for consistency
  * [6f2677c] Explicitly set LANGUAGE=C to avoid possible locale issues
  * [bedb409] Provide hostname to pre-scripts by setting up /etc/hostname
  * [f42f932] Ensure that grub-pc is installed in VMs even when using
    --nopackages
  * [a8c2e5f] Honor GRUB_DISABLE_LINUX_UUID=true and don't set root=UUID
    then
  * [8b67587] Provide new option --remove-configs to delete grml-
    debootstrap configuration files from installed system
  * [598b19a] Fix syntax error for introduced in 91f2e990ca65aa367
  * [2a43ef7] Write hostname to installed system (fix for bedb4090) Thanks
    to Sebastian Pipping <sebastian@pipping.org> for catching this issue
  * [9d9ec2d] Run code for --remove-configs before unmounting chroot
  * [d5528b0] Make check for GRUB_DISABLE_LINUX_UUID more stable. Thanks
    to Patrick Schleizer <adrelanos@riseup.net> for the feedback
  * [0064269] Disable SCRIPTS by default, replaced by POST_SCRIPTS
  * [bfb0afb] Make mountpoint output silent
  * [1e8339d] Display error message if --vmfile and --grub are used in
    same cmdline
  * [45b4746] packer: support different Debian + grml-debootstrap releases
  * [21658d3] packer/Vagrant: make jessie the new default Debian release
  * [7b776cd] config: change from GPL-2 to GPL-2+
  * [c9caef4] Add stretch to release-table and update lenny installation
    instructions
  * [2370b8a] Drop unmaintained THANKS file
  * [aee9c5f] Update debian/copyright + move to dep5 style

 -- Michael Prokop <mika@grml.org>  Sat, 06 Jun 2015 01:33:17 +0200

grml-debootstrap (0.70) unstable; urgency=medium

  [ Sebastian Pipping ]
  * [d59e47c] Fix unmounting [..]/dev once more (issue #50)
  * [d08be12] Mount and unmount /dev/pts for chrooting (issue #39)
  * [e781fc5] No longer write too many disk ID bytes (issue #75)
  * [a459d66] Fix current release-related texts before adding stretch
    (issue #77)
  * [7549cad] Add support for installation of Debian stretch (issue #77)
  * [874b096] Revert "Check for grub-mkimage when creating virtual machine
    images (issue #61)"
  * [1adbe33] Revert "Add grub-common to recommended dependencies for
    grub-mkimage (issue #61)"
  * [4524757] Install GRUB once, at most (second take, issue #78)
  * [c7c6cfd] Fix grub-install invocation for post-wheezy releases and sid
    (issue #78)

  [ Patrick Schleizer ]
  * [cb71442] implemented trap ERR for grml-debootstrap and chroot-script;
    changed chroot script from sh to bash script, because trap ERR is a
    bashism

  [ Michael Prokop ]
  * [aba5a80] Use full fingerprint instead of short GPG key ids for Grml
    repository. Thanks to Patrick Schleizer <adrelanos@riseup.net> for bug
    report and feedback
  * [831a5d8] Install firmware-linux only when non-free is among the
    COMPONENTS. Thanks to Philip Hands <phil@hands.com> for the patch
    (Closes: #786966)
  * [15a1143] Drop contrib + non-free from default COMPONENTS, support
    --contrib + -non-free cmdline options

 -- Michael Prokop <mika@grml.org>  Wed, 03 Jun 2015 17:02:41 +0200

grml-debootstrap (0.69) unstable; urgency=medium

  The "jessie partyyyyyy ♫♫♫" release

  [ Sebastian Pipping ]
  * [ccba9a8] Try unmounting [..]/dev harder
  * [e5e71bc] Delete binary packer/fake-uname.so
  * [be32888] Initialize packer/.gitignore
  * [762d9ef] Fix packer/Makefile dependencies
  * [d945d99] Check for grub-mkimage when creating virtual machine images
  * [9d3d538] Add grub-common to recommended dependencies for grub-mkimage
  * [b3cddce] Fixed version reported when run from Git
  * [7b07013] Source cmdlineopts.clp from same folder as grml-debootstrap
    file (Closes: #776502) [CVE-2015-1378]
  * [92b1de2] Add missing escaping of user input (Closes: #779925)

  [ Patrick Schleizer ]
  * [3aa7301] Break when using unsupported generic codenames "stable" or
    "testing"

  [ Michael Prokop ]
  * [f992b13] Do not stop hosts' SSH + mdadm services in cleanup
    procedure. Thanks to Sebastian Pipping for debugging and bug report
    (Closes: #779913)
  * [dae518d] Define ewarn function to properly display warning messages
    (Closes: #780204)

 -- Michael Prokop <mika@grml.org>  Fri, 24 Apr 2015 18:12:55 +0200

grml-debootstrap (0.68) unstable; urgency=medium

  * [8a4a3c8] Adjust filesystem check for new blkid behaviour
    (Closes: #772849)

 -- Michael Prokop <mika@grml.org>  Thu, 11 Dec 2014 18:38:06 +0100

grml-debootstrap (0.67) unstable; urgency=medium

  The "[✔] ready for jessie" release

  [ Michael Prokop ]
  * [add7aab] Update documentation for upcoming stable release
    Debian/jessie
  * [486fa51] Use jessie as new default release
  * [0f66ed4] Add support for jessie in dialog based user interface
  * [bda9f3a] package selection: replace dhcp3-client with isc-dhcp-client
  * [18ee5ea] Support MKFS_OPTS variable + use -F option in mkfs.ext* when
    running in force mode
  * [491c75a] Add sources.list support for squeeze-lts
  * [75be5c3] docs: simplify table of supported releases, mention lenny
    issue
  * [86c5325] Make disk identifier configurable via DISK_IDENTIFIER
    variable. Thanks to Patrick Schleizer <adrelanos@riseup.net> for the
    initial patch
  * [bd598a0] Fix some minor issues identified by shellcheck
  * [37d7df7] config: use uuidgen tool for DISK_IDENTIFIER usage example
  * [ca32c51] Fix some further issues identified by shellcheck
  * [a2b19f1] Do not use fixed disk identifiers by default
  * [af35272] Always use UUIDs for GRUB booting in VMs instead of
    hardcoding values
  * [a227187] docs: fix wrong usage example description. Thanks to Florian
    Klien for the bug report
  * [092274d] Execute kpartx in sync mode to avoid race conditions
  * [86b25a4] Support GRUB as present in Debian/jessie in VM builds
  * [e0b0b8b] docs: set man.base.url.for.relative.links option when
    generating man-page
  * [5adf8f6] Fix linux-image package check for Debian/jessie 32bit.
    Thanks to Patrick Schleizer <adrelanos@riseup.net> for the bug report
  * [6dde1bd] Fix check for available /dev/md* devices

  [ Patrick Schleizer ]
  * [ba9ff1f] Use UUIDs in /boot/grub/grub.cfg for VM builds rather than
    hardcoding /dev/sda

 -- Michael Prokop <mika@grml.org>  Mon, 13 Oct 2014 21:16:04 +0200

grml-debootstrap (0.66) unstable; urgency=medium

  [ Michael Prokop ]
  * [cd8a1e5] Provide 'make shellcheck' for syntax checks, enable during
    package build
  * [6efce15] Execute wrap-and-sort on debian directory
  * [856786f] Bump Standards-Version to 3.9.6

  [ Patrick Schleizer ]
  * [430c060] Adjust locale handling (LANG/LANGUAGE) to match with Debian
    wheezy defaults

  [ Markus Rekkenbeil ]
  * [9b9cdfe] Add set process for /etc/mailname [Closes: issue1315]

 -- Michael Prokop <mika@grml.org>  Thu, 02 Oct 2014 11:39:54 +0200

grml-debootstrap (0.65) unstable; urgency=medium

  [ Christian Hofstaedtler ]
  * [960e54d] Add option --vm to install VMs into LVs and such

  [ Michael Prokop ]
  * [7fc0e06] Initial packer/vagrant/autotest setup
  * [21b0160] Improve packer deployment for usage in Vagrant

 -- Michael Prokop <mika@grml.org>  Thu, 03 Jul 2014 12:27:55 +0200

grml-debootstrap (0.64) unstable; urgency=medium

  The "happy easter ＼(◎o◎)／" release

  * [bba7c19] Initial README.md (esp. for Github users)
  * [329df0b] Set up default /etc/network/interfaces with dhcp for eth0 in
    VM use case. Thanks to Ulrich Dangel <mru@spamt.net> for review and
    Thanks to Christian Hofstaedtler <christian@hofstaedtler.name> for
    suggestion + review
  * [c653f57] Provide option --defaultinterfaces to install default
    /etc/network/interfaces

 -- Michael Prokop <mika@grml.org>  Sun, 20 Apr 2014 02:50:33 +0200

grml-debootstrap (0.63) unstable; urgency=medium

  [ Christian Hofstaedtler ]
  * [1fa99e5] Fix smbfs example in fstab

  [ Michael Prokop ]
  * [95f4b7c] Switch default filesystem from ext3 to ext4
  * [8b1c652] Provide --debug option for very verbose execution
  * [d919319] Support execution of --grub when installing to target
    directory. Thanks to Michael Renner <michael.renner@amd.co.at> for
    initial bug report and sponsoring my development time
  * [2976d92] Copy /etc/network/interfaces from host system, unless
    --nointerfaces is used or target is a VM. Thanks to Michael Renner
    <michael.renner@amd.co.at> for feature request and sponsoring my
    development time
  * [84fe150] Update documentation WRT supported releases and some minor
    fixes
  * [6cf66c7] Clarify usage of default hostname ($HOSTNAME is considered)
  * [6c59725] Support --nokernel option to skip installation of default
    kernel images
  * [583bdc6] Do not enable security mirror for lenny release, being
    unavailable/unsupported nowadays

 -- Michael Prokop <mika@grml.org>  Sat, 19 Apr 2014 02:03:45 +0200

grml-debootstrap (0.62) unstable; urgency=medium

  * [2751e66] Execute apt upgrade with DEBIAN_FRONTEND environment
    variable

 -- Michael Prokop <mika@grml.org>  Tue, 08 Apr 2014 19:32:31 +0200

grml-debootstrap (0.61) unstable; urgency=medium

  * [a685e2b] Add ifenslave and cryptsetup to default package list
    [Closes: issue1293]

 -- Michael Prokop <mika@grml.org>  Thu, 20 Mar 2014 23:36:53 +0100

grml-debootstrap (0.60) unstable; urgency=medium

  [ Patrick Schleizer ]
  * [4f436b4] added $DPKG_OPTIONS to all instances of apt-get and aptitude
    https://github.com/grml/grml-debootstrap/issues/8
  * [80fae65] [7ec9ddc] grml-debootstrap own version detection code
    simplification
  * [134498c] It is not possible to build amd64 on i386. Break when the
    user attempts to do this.
  * [5a873a8] Support FIXED_DISK_IDENTIFIERS option, useful for
    reproducible builds

  [ Michael Prokop ]
  * [b9fc7bb] Abort if FIXED_DISK_IDENTIFIERS is set but mkfs.* does not
    match for ext{2,3,4} file system
  * [a59c1b4] Bump Standards-Version to 3.9.5

 -- Michael Prokop <mika@grml.org>  Thu, 20 Mar 2014 16:18:49 +0100

grml-debootstrap (0.59) unstable; urgency=low

  * [b8fb51c] Fix usage of configuration variables
  * [6e7a2c8] Drop URL to release notes from script header
  * [2ef61aa] Improve error handling for update-locale

 -- Michael Prokop <mika@grml.org>  Tue, 12 Nov 2013 14:06:52 +0100

grml-debootstrap (0.58) unstable; urgency=low

  * [ddf2a40] Support $DEFAULT_LOCALES to enable specified locales as
    default
  * [a75f067] Install grub to main md device when installing on
    SW-RAID/mdadm
  * [172555b] Support overriding configuration via environment variables
  * [45642a3] Add vlan package to default package list
  * [af82910] Add bridge-utils to default package list
  * [53d51ac] Fix description of SCRIPTS variable in config file.
    Thanks to Jimmy Gredler for the hint
  * [2ecc3d3] Mention that "raw format" is used for vmfile option

 -- Michael Prokop <mika@grml.org>  Tue, 12 Nov 2013 13:15:23 +0100

grml-debootstrap (0.57) unstable; urgency=low

  The "happy wheezy release" release

  [ Christian Hofstaedtler ]
  * [dfac692] Remove obsolete DM-Upload-Allowed flag
  * [5fbec1d] Bump Standards-Version to 3.9.4 (no changes needed)

 -- Michael Prokop <mika@grml.org>  Wed, 08 May 2013 16:21:23 +0200

grml-debootstrap (0.56) experimental; urgency=low

  [ Markus Rekkenbeil ]
  * [4f9ea91] Add new feature "backportrepos" via option --backportrepos

  [ Evgeni Golov ]
  * [e45e376] fix kernel image search on i386

 -- Michael Prokop <mika@grml.org>  Fri, 08 Mar 2013 15:28:21 +0100

grml-debootstrap (0.55) experimental; urgency=low

  [ Evgeni Golov ]
  * ISO related bugfixes:
    * [6f8ba91] set ISO to file:$ISO, not to file:$1 which is
      just wrong
    * [ab690ec] debootstrap from an ISO when ISO is set as MIRROR
      is always set
    * [10690a9] Debian ISOs do not contain signed Release files
    * [9c1ec11] remove local (file://) mirrors from sources.list
  * Misc improvements:
    - [010a354] add a fallback mirror to be added in case when a local
      mirror is removed
    - [91e39fc] Dynamically determine the correct kernel package name
      [Closes: issue1206]
    - [76ca758] Add firmware-linux-free to the packages to be installed
    - [a9697fb] add BOOT_APPEND to GRUB_CMDLINE_LINUX_DEFAULT
    - [a93156c] don't fail to ask for a password if there is no TTY
      [Closes: issue1200]

  [ Michael Prokop ]
  * [f3a7ab6] Use http.debian.net as default mirror

 -- Michael Prokop <mika@grml.org>  Mon, 04 Feb 2013 15:58:46 +0100

grml-debootstrap (0.54) unstable; urgency=low

  The "happy new year, Verena" release.

  [ Evgeni Golov ]
  * [5ee8148] add BOOT_APPEND to GRUB_CMDLINE_LINUX_DEFAULT

  [ Michael Prokop ]
  * [62cec4e] Do not hardcode squeeze as Debian/stable
  * [6589216] Set wheezy as the new default release [Closes: #688234]
  * [ae9070d] docs: fix outdated default mirror reference
  * [e5a6244] docs: clarify AUTOINSTALL is currently supported on Grml
    live systems only. Thanks to Evgeni Golov <evgeni@grml.org> for review
    + improving
  * [4280921] docs: mention VM image and dialog based frontend support.
    Thanks to Evgeni Golov <evgeni@grml.org> for review and improving

 -- Michael Prokop <mika@grml.org>  Mon, 31 Dec 2012 23:52:42 +0100

grml-debootstrap (0.53) unstable; urgency=low

  * [4d08103] Add acpi-support-base to default package selection

 -- Michael Prokop <mika@grml.org>  Tue, 19 Jun 2012 23:04:16 +0200

grml-debootstrap (0.52) unstable; urgency=low

  [ Darshaka Pathirana ]
  * [344f0e9] detect architecture before checkconfiguration
  * [ddbb875] display architecture in checkconfiguration summary

  [ Michael Prokop ]
  * [14e6e30] dm-mod: also check for device-mapper support using
    /proc/misc

 -- Michael Prokop <mika@grml.org>  Mon, 11 Jun 2012 17:34:47 +0200

grml-debootstrap (0.51) unstable; urgency=low

  * [0452dad] VM feature: improve sed command line to replace root=...
    kernel option. Thanks to Conny Seidel <conny.seidel@amd.com> for
    bugreport + patch
  * [06fc8bd] Drop --insecure/SECURE option + instead depend on
    debian-archive-keyring package
  * [4fac6ee] Redirect eerror messages to stderr
  * [ab9101c] Remove chroot-script after execution
  * [f831c79] Display debootstrap.log if bootstrapping failed and log
    file isn't empty
  * [8cf8a43] Display grml-debootstrap version information in
    configuration-check dialog
  * [14021b8] Adjust source code comment for --nopassword option

 -- Michael Prokop <mika@grml.org>  Mon, 14 May 2012 18:21:55 +0200

grml-debootstrap (0.50) unstable; urgency=low

  [ Michael Prokop ]
  * [772c343] docs: mention http://archive.debian.org/debian/ for
    lenny release
  * [6ea6382] Make sure loop module is present [Closes: issue1155]
    Thanks to Christian Hofstaedtler for the bugreport.

  [ Gregor Thill ]
  * [afe4bad] Remove the sysfs noauto entry from the installed fstab.
    Thanks to Carsten Hey <carsten@debian.org> for helping in
    bug report handling and patch handling. (Closes: #670074)

 -- Michael Prokop <mika@grml.org>  Tue, 24 Apr 2012 01:59:55 +0200

grml-debootstrap (0.49) unstable; urgency=low

  * Team upload
  * [d17c54b] Run upgrade procedure by default (disable via
    UPGRADE_SYSTEM config)
  * [04d37b9] Rework cleanup process
  * [5f348b9] grub_install: slightly change message if grub is not
    installed
  * [0c7dbbc] Wording: since->because
  * [f720b57] Slightly improve bailout and cleanup functions to better
    catch errors
  * [d31f878] Check for dialog executeable only when using interactive
    mode
  * [07c0379] VM installation: also check for parted executable
  * [f48891f] Try to load dm-mod kernel module if kpartx fails
  * [60881cb] Run unmount of chroot's /dev twice. Thanks to Michael Hanke
    <mih@debian.org> for reporting and testing (Closes: #657023)
  * [07c7f30] Bump Standards-Version to 3.9.3
  * [851c803] Update years of copyright

 -- Michael Prokop <mika@grml.org>  Fri, 24 Feb 2012 14:44:27 +0100

grml-debootstrap (0.48) unstable; urgency=low

  [ Michael Prokop ]
  * [837ac57] chroot-script: de-duplicate code WRT security mirror.
  * [6197947] chroot-script: be more verbose about steps executed in
    chrootmirror().
  * [c3dbeb4] clarify usage text of --packages option
  * [aadfa9e] chroot-script: clarify error message iff packages is not
    available + send it to stderr
  * [ad7c3cf] Support --nopassword option to not prompt for the root
    password
  * [8fe289c] do not run fsck when deploying virtual machine
  * [e68a7d9] vim modeline: set shiftwidth to a less insane value
  * [a7bfe23] support --grmlrepos command line option
  * [7140774] clarify usage of --arch option
  * [6891310] docs: improve option formating, minor typo fixes
  * [20a41b7] update release table (drop etch, add wheezy)
  * [bcc5b04] disable filesystem check by default
  * [d88d27d] drop enabled config variables from config file and use
    defaults. Thanks to Christian Hofstaedtler <ch@grml.org> for review
    and improvements.
  * [3adae46] make sure chroot variables are quoted
  * [1ba2adf] make sure grub-pc is installed when grub option is used

  [ Christian Hofstaedtler ]
  * [074c439] Reformat NEWS.Debian
  * [56a04d7] Install bootgrub.mksh 0755
  * [ab804e4] Switch to source format 3.0 (native)
  * [9f2c2ff] Reworded package Description a tiny bit
  * [19bf46a] Fix debian/copyright to point to GPL-2 license
  * [2b2dc77] Add dialog to Recommends

 -- Michael Prokop <mika@grml.org>  Sat, 26 Nov 2011 18:13:26 +0100

grml-debootstrap (0.47) unstable; urgency=low

  The "initial upload to Debian" release.

  [ Ulrich Dangel ]
  * [e47ca96] Use /bin/bash for tests instead of /bin/zsh

  [ Christian Hofstaedtler ]
  * [c87dc4a] Don't depend on grml-etc-core
  * [5e16f74] Update copyright file based on git log
  * [bf11621] Prepare control file for targetting Debian
  * [23140a3] Fix lintian warning debian-rules-missing-recommended-target
  * [fcc981a] Update package description
  * [50de133] Depend on gawk, as we're using that
  * [5081ff4] fix ported eend function return value
  * [79ea500] bailout on dialog cancellation

  [ Michael Prokop ]
  * [561fb86] Drop "set -e" from the scripts.
  * [4384a10] Fix vim syntax folding issue with missing }}}.

 -- Michael Prokop <mika@grml.org>  Thu, 28 Jul 2011 18:04:13 +0200

grml-debootstrap (0.46) unstable; urgency=low

  * [f1c990c] Update package description and documentation to
    reflect squeeze as current stable release.
  * [fc6d883] Support --vmfile and --vmsize command line options
    for deploying a virtual machine.
  * [a64fecc] Support --force option to skip user acknowledgement
    and do not prompt for user input.
  * [5ee5cac] Consequently use eerror for displaying error messages.
  * [25bfeb7] Bump Standards-Version to 3.9.2.

 -- Michael Prokop <mika@grml.org>  Mon, 30 May 2011 23:27:33 +0200

grml-debootstrap (0.45) unstable; urgency=low

  * [dc5e2a0] Install os-prober by default.
  * [f7fc84f] Improve installed-check for packages that should
    be reconfigured.
  * [c96402b] Be quiet when checking for package precense.

 -- Michael Prokop <mika@grml.org>  Sat, 14 May 2011 03:15:40 +0200

grml-debootstrap (0.44) unstable; urgency=low

  [ Christian Hofstaedtler ]
  * [840f5b8] Install (non-free) firmware for Linux kernel
  * [a6c9e87] turn off Install-Recommends for our apt-get calls
  * [05d6993] add rsync to package list
  * [7f6ece8] add lsb-release to package list

  [ Michael Prokop ]
  * [5c9bdb3] Add security.debian.org to sources.list (except for
    unstable/sid). Thanks for the suggestion to Michael Renner.
    [Closes: issue967]
  * [cbe2eae] Integrate Debian/squeeze and Debian/wheezy proberly.

 -- Michael Prokop <mika@grml.org>  Fri, 11 Mar 2011 12:31:05 +0100

grml-debootstrap (0.43) unstable; urgency=low

  * [57a2d9c] Automatically reboot after 10 seconds of inactivity after
    successfully finishing automatic installation.

 -- Michael Prokop <mika@grml.org>  Sat, 08 Jan 2011 01:33:25 +0100

grml-debootstrap (0.42) unstable; urgency=low

  * [0d2a566] grml-debootstrap.8.txt: Add Squeeze as alternative
    recommendation as suite.
  * [9577874] Move grub_install from grml-debootstrap to chroot-script.
  * [8782512] Makefile: drop uniq/sed/... workarounds for broken
    docbook-xsl (1.71.0.dfsg.1-1).

 -- Michael Prokop <mika@grml.org>  Tue, 28 Dec 2010 15:54:11 +0100

grml-debootstrap (0.41) unstable; urgency=low

  * [97eb00e] Use /etc/apt/sources.list.d/grml.list (instead of
    /etc/apt/sources.list) for grml-repository. Retrieve the
    grml-debian-keyring Debian package if possible and fall back
    to direct use of gpg/apt-key only if that fails. [Closes: issue867]
  * [17695f7] Dynamically calculate version number using the Debian
    package version.
  * [0fd00f0] Run grml-debootstrap under bash.
  * [171d6a2] Fix --help parsing.
  * [6364b23] Improve check4root message WRT usage instructions.
  * [8c38e6c] Improve check4root.

 -- Michael Prokop <mika@grml.org>  Thu, 02 Dec 2010 14:55:19 +0100

grml-debootstrap (0.40) unstable; urgency=low

  [ Christian Hofstaedtler ]
  * Create md raids with metadata format 0.90 when installing lenny, as
    grub from lenny can not boot from md with newer metadata versions.
    [Closes: issue878].

 -- Michael Prokop <mika@grml.org>  Mon, 18 Oct 2010 16:27:57 +0200

grml-debootstrap (0.39) unstable; urgency=low

  [ Tong Sun ]
  * remove 'umount -a' in bailout(). [Closes: issue806].

  [ Christian Hofstaedtler ]
  * Remove "read -s" bashism from target chroot script.
    [Closes: issue912].

  [ Michael Prokop ]
  * Bump Standards-Version to 3.9.1.

 -- Michael Prokop <mika@grml.org>  Mon, 18 Oct 2010 14:51:16 +0200

grml-debootstrap (0.38) unstable; urgency=low

  * Source specified configuration file at according stage.
  * Make sure to reread the correct partition table if using SW-RAID.
  * Cosmetic: fix comment regarding local CHOOSE_MIRROR.

 -- Michael Prokop <mika@grml.org>  Fri, 28 May 2010 00:45:20 +0200

grml-debootstrap (0.37) unstable; urgency=low

  * Do not unmount ISO loopback mount point in finalize().

 -- Michael Prokop <mika@grml.org>  Tue, 02 Mar 2010 02:30:32 +0100

grml-debootstrap (0.36) unstable; urgency=low

  * Add support for specifying filesystem that should be created
    when installing to directories through --filesystem.
    [Closes: issue596]
  * Provide /etc/network/interfaces.examples file.
    [Closes: issue495]

 -- Michael Prokop <mika@grml.org>  Sat, 27 Feb 2010 21:39:57 +0100

grml-debootstrap (0.35) unstable; urgency=low

  * Do NOT execute 'umount -a' in chroot script for cleanup. This
    can cause problems with installations to directories.
    Thanks for the bugreport and debugging, Tong Sun.
    [Closes: issue806]
  * Replace vol_id command with blkid.

 -- Michael Prokop <mika@grml.org>  Fri, 26 Feb 2010 15:19:10 +0100

grml-debootstrap (0.34) unstable; urgency=low

  * Move the apt cache removal function to a later point of execution
    so custom scripts still have access to the Debian packages.
  * Display executed debootstrap cmdline when running it.
  * Slightly improve checks for grub-install/update-grub and do
    no set full path to the binaries.
  * Revert "Updated grml-debootstrap parameter handling" which
    breaks the way grml-debootstrap used to work. Instead:
  * Introduce option --nopackages to skip installation of packages
    defined in /etc/debootstrap/packages.
  * Support config variable RM_APTCACHE to allow disabling removal
    of apt-cache. Thanks for the idea and initial patch, Tong Sun.
    [Closes: issue805]

 -- Michael Prokop <mika@grml.org>  Mon, 22 Feb 2010 23:46:13 +0100

grml-debootstrap (0.33) unstable; urgency=low

  [ Michael Prokop ]
  * Do not provide the 'install bootloader into partition' feature in
    the interactive menu.
  * Install to directory: normalise the path to an absolute directory
    name.
  * remove cached debs to reduce diskpace during bootstrap (based on
    patch by gebi, thanks).
  * Fix sed usage for fall back to old behaviour in MBR handling.
  * Bump Standards-Version to 3.8.4 (no further changes).

  [ Ulrich Dangel ]
  * Support and enable per default --keyring option. [Closes: issue746]
  * Do not run MAKEDEV inside the chroot.
  * Adjusted umount handling in bailout() to work with set -e
  * Always execute install_policy_rcd in chroot [Closes: issue778]
  * Install signal handler to always cleanup chroot.
  * Replace /bin/true with true in chroot-script
  * Remove duplicate : in getopt definition. Caused wrong parameter
    handling.
  * Adjusted Filename comment in cmdlineopts.clp
  * Remove trailing whitespace from debian/rules
  * Switched order of including cmdlineopts.clp, first check local
    directory
  * Only set PARTITION=1 if target is a block device.
  * Apply patch by Tong Sun <suntong@cpan.org> which addresses
    grml-debootstrap's parameter handling. Thanks!
  * Added unit tests for cmddlineopts.clp.

  [ Michael Gebetsroither ]
  * introduce --pre-scripts to be executed before chroot-scripts

 -- Michael Prokop <mika@grml.org>  Mon, 15 Feb 2010 22:32:33 +0100

grml-debootstrap (0.32) unstable; urgency=low

  * Drop support for old-stable/etch.
  * Simplify usage for grub handling, now it's just GRUB="/dev/sdX[#]".
  * Execute blockdev to reread partition table.
  * Replace vol_id command with blkid.
  * Drop deprecated sarge specific code.

 -- Michael Prokop <mika@grml.org>  Wed, 28 Oct 2009 23:29:47 +0100

grml-debootstrap (0.31) unstable; urgency=low

  * Adjust grub handling and install grub-pc package for
    supporting grub2. [Closes: issue747]
  * Use cdn.debian.net as default mirror.
  * Support config variable INSTALL_NOTES to catch information during
    installation which is reported at the end of the installation process.

 -- Michael Prokop <mika@grml.org>  Sat, 24 Oct 2009 02:47:00 +0200

grml-debootstrap (0.30) unstable; urgency=low

  [ Ulrich Dangel ]
  * Add cmdline option for specifying target architecture (--arch).
    Allows to specify target architecture i386 if running on an amd64
    system. [Closes: issue658]

  [ Michael Prokop ]
  * Add according documentation for new --arch option.
  * Bump Standards-Version to 3.8.3 (no further changes).

 -- Michael Prokop <mika@grml.org>  Fri, 11 Sep 2009 03:15:46 +0200

grml-debootstrap (0.29) unstable; urgency=low

  The "thanks to gebi for the bugreports and feedback" release. :)
  * Install busybox in kernel stage to be able to debug initramfs
    problems.
  * Check whether we are installing into a directory in stage mkfs
    so we don't skip if the target is already mounted.
  * Mention "default: lenny" instead of "default: stable" in help
    text as "stable" is invalid.
  * Use 'pri=0' as example for swap partition in /etc/fstab.
  * Do not adjust mydestination and myhostname in /etc/postfix/main.cf as
    mydestination defaults to "$myhostname, localhost.$mydomain, localhost",
    myhostname defaults to gethostname() and mydomain to localdomain.
  * Slightly improve wording of -t and -p options.
  * Do not try to create /etc/debootstrap if it already exists (which
    might be the case when installing to a directory).
  * Mention hostname in configuration check dialog.
  * Apply patch by Zoran Dzelajlija which addresses the partition
    calculation problem when installing to /dev/cciss/c0d0*. Thanks!
  * Use ls for locating /dev/md* devices instead of echo so we don't
    have '/dev/md*' in the interactive partition dialog.
  * Do not display mountpoint if we are using the default one.
  * Avoid duplicate 'Running ... on a directory, nothing to mount.'
    message.
  * Do not continue execution if provided mirror doesn't work.
    [Closes: issue711]
  * Bump Standard Version to 3.8.2 (no further changes).

 -- Michael Prokop <mika@grml.org>  Fri, 24 Jul 2009 09:47:47 +0200

grml-debootstrap (0.28) unstable; urgency=low

  * Work around the chpasswd problem. [Closes: issue692]
    Thanks to Ulrich Dangel <uli@spamt.net> for the patch!

 -- Michael Prokop <mika@grml.org>  Tue, 16 Jun 2009 16:11:30 +0200

grml-debootstrap (0.27) unstable; urgency=low

  * New features:
    - support setting Debian suite components (like main, contrib,...)
      through COMPONENTS so it's possible to use a simple 'main' mirror.
    - support setting aptitude/apt-get options through $DPKG_OPTIONS.
    - support selection of netinstall vs. local mirror in interactive menu
  * Bugfixes:
    - make sure to ignore /dev/md* devices if not using SW-RAID
    - do not fail in chrootmirror() when using $ISO variable.
    - change order of checkconfiguration() so we get the prompt/
      display for checking configuration again.
    - Drop 'do not prompt for partition dialog if swraid has been
      configured already' which doesn't make any sense in most situations
  * Minor changes:
    - check for mounted target in mkfs() step already instead of mount_target()
    - use '.. to the debootstrap command' in description of --debopt
    - chroot-script: put installation of kernel before installing additional
      packages so installation of kernel doesn't fail if the kernel directory
      exists already
  * Debian Package:
    - bump Standard Version to 3.8.1 (no further changes).

 -- Michael Prokop <mika@grml.org>  Fri, 08 May 2009 17:57:57 +0200

grml-debootstrap (0.26) unstable; urgency=low

  * Do not use UUID on SW-RAID.
  * Add /dev/md* to partition list. If /dev/md* is already
    configured we don't want to re-run the SW-RAID setup
    but instead just install on /dev/md*.

 -- Michael Prokop <mika@grml.org>  Tue, 17 Mar 2009 10:47:53 +0100

grml-debootstrap (0.25) unstable; urgency=low

  * Use configuration $RELEASE as well as default in interactive
    setup script.
  * Provide $MNTPOINT as environment variable for usage inside
    /etc/debootstrap/scripts/.

 -- Michael Prokop <mika@grml.org>  Sat, 07 Mar 2009 14:37:46 +0100

grml-debootstrap (0.24) unstable; urgency=low

  * Update documentation.
  * Use configuration of $MIRROR, $HOSTNAME as defaults in
    interactive setup script.
  * Add initial support for Debian/squeeze and drop sarge instead.
  * Update VCS*-headers and long description of Debian package.
  * Move asciidoc, docbook-xsl, xsltproc to Build-Depends-Indep.
  * Drop $CHROOTMIRROR variable, instead use $MIRROR for debootstrap
    as well as inside the chroot.
  * Provide $MNTPOINT as environment variable for usage inside
    /etc/debootstrap/scripts/.

 -- Michael Prokop <mika@grml.org>  Sat, 07 Mar 2009 14:15:32 +0100

grml-debootstrap (0.23) unstable; urgency=low

  The "hey, rocking - we get patches via git" release.

  * Improve look'n'feel of partition error dialog.
  * Improve documentation regarding installation of bootloader when
    using directories as installation target. Thanks Tong Sun!
    [Closes: issue539]
  * Copy /etc/debootstrap/[s]bin as well to the chroot if they are
    present. Suggestion by Tong Sun - thanks! [Closes: issue540]
  * Apply several patches by Tong Sun (thanks!):
    - allow symlinks when coping existing files to chroot.
    - pre-seed packages using /etc/debootstrap/debconf-selections
      [Closes: issue518]
    - support DEBOOTSTRAP_OPT for passing extra parameters to the
      debootstrap command
    - support KEEP_SRC_LIST to allow user to provide their
      own apt sources.list from /etc/debootstrap/etc/apt/sources.list
    - provide cmdline processing in separate script
    - added the '-d, --confdir=path' option
    - added "--nodebootstrap": Skip debootstrap, only do configuration
      to the target
    - add -v, --verbose: Increase verbosity
    - do not create stage file at finalize()
  * Edit /etc/network/interfaces as well if the file exists already,
    we definitely need at least a loopback interface.
  * Adjust postfix configuration:
    - modify hostname related options in /etc/postfix/main.cf
    - listen on loopback interface by default (thanks for suggestion, gebi)
  * Unify the --bootappend option, it's not --boot_append (thanks for
    the hint, Tong Sun).
  * Support execution of further scripts via options --scripts and
    --chroot-scripts.
  * Drop locales from RECONFIGURE list (thanks for hint, Tong Sun).
    [Closes: issue560]

 -- Michael Prokop <mika@grml.org>  Mon, 24 Nov 2008 23:29:30 +0100

grml-debootstrap (0.22) unstable; urgency=low

  * Display meaningful information when no partitions could be found.

 -- Michael Prokop <mika@grml.org>  Mon, 15 Sep 2008 19:46:20 +0200

grml-debootstrap (0.21) unstable; urgency=low

  * Make sure it works on target directories also if they are
    *not* mounted separately. Thanks for reporting, Tong.

 -- Michael Prokop <mika@grml.org>  Tue, 02 Sep 2008 23:19:05 +0200

grml-debootstrap (0.20) unstable; urgency=low

  * Use root=UUID=... by default if possible to avoid possible
    race conditions with libata vs. pata.
  * Fix setting hostname via interface.
  * Provide interface in dialog for setting root password.

 -- Michael Prokop <mika@grml.org>  Tue, 02 Sep 2008 14:02:43 +0200

grml-debootstrap (0.19) unstable; urgency=low

  * Use dialog with --separate-output option to make sure mdadm
    receives correct quoting for the RAID devices.

 -- Michael Prokop <mika@grml.org>  Tue, 02 Sep 2008 13:36:12 +0200

grml-debootstrap (0.18) unstable; urgency=low

  The "development sponsored by Sipwise GmbH" release.

  * Provide interactive configuration dialog.
  * Initial support for SW-RAID.
  * Use stages based on target information, this gives us
    the possibility to run multiple instance of grml-debootstrap.
    [Closes: issue510]
  * Use policy-rc.d inside chroot to avoid startup of daemons.
    [Closes: issue509]
  * Do not activate /sys by default anymore in /etc/fstab.
  * Copy /etc/network/interfaces from running system to target
    installation.
  * Setting password via passwd does not work, use chpaswd instead.
  * Remove stages after successful execution. [Closes: issue513]
  * Make sure the configuration file inside the chroot provides
    the same configuration as specified on the cmdline (thanks gebi
    for reporting).
  * Copy system's /etc/hosts to the target system.
  * Move stages to /var/cache/grml-debootstrap (thanks for the idea,
    gebi).
  * Install devices using our own device tarball instead of running
    MAKEDEV (which is just an ungly fork bomb).
  * Install MTA postfix by default to avoid installation of unwanted
    packages like citadel in lenny.
  * Allow use of comments in file /etc/debootstrap/packages.
  * Replace initrd-tools with initramfs-tools.
  * Run aptitude with --without-recommends option.
  * Run grub-install using --no-floppy, as requested by gebi.
  * Support setting hostname via cmdline.
  * Close issue in grml's BTS which showed up during development in hg:
    Fix handling of config file inside chroot, thanks for spotting, gebi!
    [Closes: issue512]
  * Update debian/ to make lintian happy.

 -- Michael Prokop <mika@grml.org>  Sat, 30 Aug 2008 02:01:14 +0200

grml-debootstrap (0.17) unstable; urgency=low

  * Support "-r" option as well as "--release" as being documented.
    Thanks for reporting, Jens Kubieziel.

 -- Michael Prokop <mika@grml.org>  Wed, 26 Mar 2008 22:44:06 +0100

grml-debootstrap (0.16) unstable; urgency=low

  * Drop the second passwd call.

 -- Michael Prokop <mika@grml.org>  Wed, 19 Dec 2007 10:10:54 +0100

grml-debootstrap (0.15) unstable; urgency=low

  * Make sure the passwd command succeeds.
    Thanks, Wolfgang Karall! [Closes: issue363]

 -- Michael Prokop <mika@grml.org>  Sun, 16 Dec 2007 16:30:37 +0100

grml-debootstrap (0.14) unstable; urgency=low

  * Make sure variable ISO is unset variable if not used.
    Thanks for the bugreport, Darsha! [Closes: issue352]

 -- Michael Prokop <mika@grml.org>  Sun, 09 Dec 2007 20:16:15 +0100

grml-debootstrap (0.13) unstable; urgency=low

  * Fix manpage handling of xsltproc.

 -- Michael Prokop <mika@grml.org>  Thu, 06 Dec 2007 23:47:09 +0100

grml-debootstrap (0.12) unstable; urgency=low

  * Fixed some typos in the manpage.
    Thanks for the patch, Alexander 'Stone' Steinböck!

 -- Michael Prokop <mika@grml.org>  Wed, 24 Oct 2007 10:16:03 +0200

grml-debootstrap (0.11) unstable; urgency=low

  * Better inform user about already executed stages.
    [Closes: issue299]

 -- Michael Prokop <mika@grml.org>  Sat,  6 Oct 2007 18:03:16 +0200

grml-debootstrap (0.10) unstable; urgency=low

  * Add console-common to /etc/debootstrap/packages. Thanks for
    the feature request, Thorsten Strusch!
  * Support option -i/--iso: now it's possible to install packages
    from a normal Debian ISO. Thanks for the idea and the basic
    instructions to Thorsten Strusch!
    http://www.thorstenstrusch.de/software/debian-linux/

 -- Michael Prokop <mika@grml.org>  Mon, 04 Jun 2007 10:13:32 +0200

grml-debootstrap (0.9) unstable; urgency=low

  [ Alexander Wirt ]
  * Add support for EXTRAPACKAGES that can be dropped in
    /etc/debootstrap/extrapackages
  * Add boot_append option to manpage
  * Manpage reformatted

  [ Michael Prokop ]
  * Support grml-repository and installation of grml-kernel
    via GRMLREPOS and GRMLPACKAGES.
  * Use stage logic inside chroot-script as well.
  * Activate zsh completion.
  * Rewrote interfaces() code for handling of
    /etc/network/interfaces. Thanks for the pointer, formorer.
  * Make sure stopping a service inside chroot-script does not
    fail chroot-script itself.

 -- Michael Prokop <mika@grml.org>  Mon, 23 Apr 2007 00:23:19 +0200

grml-debootstrap (0.8) unstable; urgency=low

  * Add BOOT_APPEND option for kernel appendline

 -- Alexander Wirt <formorer@grml.org>  Sat, 21 Apr 2007 11:19:06 +0200

grml-debootstrap (0.7) unstable; urgency=low

  * Support setting some variables via cmdline.
  * Support full automatic installation via debian2hd.
  * Change logic of function execution and improved error handling
    in some functions.
  * Use aptitude instead of apt-get in chroot-script, but
    only if it's available.
  * Use DEBIAN_FRONTEND='noninteractive' so we avoid unnecessary
    questions when installing. (Thanks, formorer!)
  * Added additional check to grub code for running sed on
    /boot/grub/menu.lst.
  * Updated TODO file.
  * Use asciidoc for manpage generation.
  * Added basic zsh-completion (thanks, ft!), but do not install it yet.
    We have to adjust $fpath in grml-etc-core first.

 -- Michael Prokop <mika@grml.org>  Fri, 13 Apr 2007 17:57:29 +0200

grml-debootstrap (0.6) unstable; urgency=low

  * Support Debian release with codename 'lenny'. Depend on
    debootstrap/cdebootstrap versions supporting lenny therefore.
  * Split all the code into separate functions.
  * Export LANG=C and LC_ALL=C as we don't have the locales inside
    the chroot when running grml-debootstrap. (Just a cosmetic
    change as there aren't any errors but warning messages from
    dpkg.)
  * Always assume architecture of the running system (overwriting
    via $ARCH is still supported of course).
  * Write variables from grml-debootstrap to /etc/debootstrap/variables
    and provide it to chroot-script.
  * Support stages. [Closes: issue151]

 -- Michael Prokop <mika@grml.org>  Mon,  9 Apr 2007 14:35:21 +0200

grml-debootstrap (0.5) unstable; urgency=low

  * Changed Architecture from any to all.

 -- Michael Prokop <mika@grml.org>  Sat, 24 Mar 2007 16:58:53 +0100

grml-debootstrap (0.4) unstable; urgency=low

  * Support installation into directory.

 -- Michael Prokop <mika@grml.org>  Fri, 17 Nov 2006 23:00:38 +0100

grml-debootstrap (0.3) unstable; urgency=low

  * Initial support for $ARCH.
  * Added function for clean exit (using trap).

 -- Michael Prokop <mika@grml.org>  Fri, 10 Nov 2006 00:51:09 +0100

grml-debootstrap (0.2) unstable; urgency=low

  * Support Sarge and Sid as "$RELEASE"s as well.
  * Added 'debootstrap | cdebootstrap' and grml-etc-core to
    depends.
  * Added support for:
    - cdebootstrap [broken for sarge as $RELEASE, see #390510]
    - setting hostname via /etc/hostname
    - /etc/kernel-img.conf
    - support setting locales through /etc/debootstrap/locale.gen
  * Added ssh, mdadm and lvm2 to default package list.
  * Rewrote kernel package version handling (removed from package
    list to be able to support sarge as well).

 -- Michael Prokop <mika@grml.org>  Fri,  3 Nov 2006 19:05:19 +0100

grml-debootstrap (0.1) unstable; urgency=low

  * Initial release.

 -- Michael Prokop <mika@grml.org>  Fri,  3 Nov 2006 01:10:52 +0100

